Mailinglist Archive: opensuse-buildservice (266 mails)

< Previous Next >
[opensuse-buildservice] libtool builderror for php5-imap in factory only
  • From: Richard Bos <ml@xxxxxxxxxx>
  • Date: Thu, 6 Nov 2008 21:15:48 +0100
  • Message-id: <200811062115.49284.ml@xxxxxxxxxx>
Hi,

I'm trying to build a patch php-imap rpm, and for the openSUSE versions prior
to factory, it works quite well. But for factory I run into the following
error:

/usr/src/packages/BUILD/php-5.2.6/build-cli/libtool: line 460: CDPATH: command
not found
/usr/src/packages/BUILD/php-5.2.6/build-cli/libtool: line 1138:
func_opt_split: command not found
libtool: Version mismatch error. This is libtool 2.2.6, but the
libtool: definition of this LT_INIT comes from an older release.
libtool: You should recreate aclocal.m4 with macros from libtool 2.2.6
libtool: and run autoconf again.
make: *** [ext/date/php_date.lo] Error 63
error: Bad exit status from /var/tmp/rpm-tmp.55810 (%build)


Which is a known error, as can be read here:
http://gcc.gnu.org/ml/gcc-patches/2008-03/msg00110.html

The patch patches 2 files, libtool.m4 and ltsugar.m4. When investigate the
build environment that is setup for the above build, the latter file
(ltsugar.m4) is not present. So, I wonder what is the right thing to do?

Is it possible (easy) to do this:
"libtool: You should recreate aclocal.m4 with macros from libtool 2.2.6"?
If so how?

Does anybody know the solution for this problem?

--
Richard Bos
We are borrowing the world of our children,
It is not inherited from our parents.
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages